1 files changed, 13 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..2dd3214
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,13 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -i bash -p
+
+make all || exit 1
+#bozohttpd -c ./cgit -I 9000 . -f -V -C '' cgit -p .
+mkdir test_utils
+nix build nixpkgs#nginx --out-link test_utils/nginx
+nix build nixpkgs#fcgiwrap --out-link test_utils/fcgiwrap
+nix build nixpkgs#git --out-link test_utils/git
+
+
+test_utils/fcgiwrap/bin/fcgiwrap -s unix:test_utils/fcgiwrap.sock -c 4 &
+test_utils/nginx/bin/nginx -c $(pwd)/tests/nginx.conf -p $(pwd)/test_utils
|